Bug 167716 - Problems with SUN JVM on ia64
Summary: Problems with SUN JVM on ia64
Status: ASSIGNED
Alias: None
Product: Red Hat Application Server
Classification: Retired
Component: jonas (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Fernando Nasser
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-07 15:33 UTC by Gregory Lapouchnian
Modified: 2008-05-01 15:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gregory Lapouchnian 2005-09-07 15:33:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
The following error is printed to stdout during the Jonas installation:

* header for hsqldb-1.80.1-1jpp_1rh.noarch.rpm has no disc location tag, assuming it's on the current CD
ln: when making multiple links, last argument must be a directory
ln: when making multiple links, last argument must be a directory
error: %post(hsqldb-1.80.1-1jpp_1rh.noarch) scriptlet failed, exit status 1

This happens on tonic (ia64) using the Sun JVM. JAVA_HOME was set to point to Sun's jvm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start the GUI installer and select Jonas, Client and Examples to install
2. Watch the terminal for the error
  

Actual Results:  The following error is printed

* header for hsqldb-1.80.1-1jpp_1rh.noarch.rpm has no disc location tag, assuming it's on the current CD
ln: when making multiple links, last argument must be a directory
ln: when making multiple links, last argument must be a directory
error: %post(hsqldb-1.80.1-1jpp_1rh.noarch) scriptlet failed, exit status 1

Expected Results:  No errors should be printed.

Additional info:

Comment 1 Patrick Smith 2005-09-07 16:51:06 UTC
The same problem is occuring while trying to Rebuild jonas from SRPM, and
running a standalone tomcat.

Rebuild from SRPM:
The following  error occurs:
+ build-jar-repository . activation
/usr/bin/build-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java does
not exist or is not a directory
error: Bad exit status from /var/tmp/rpm-tmp.27283 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.27283 (%prep)


This happens on tonic (ia64) using the Sun JVM.  JAVA_HOME was set to point to
Sun's jvm. 

How Reproducible:
Always

Steps to Reproduce:
1. Rebuild jonas from SRPM on ia64 using SUN.

Actual Results: The following error is printed

+ build-jar-repository . activation
/usr/bin/build-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java does
not exist or is not a directory
error: Bad exit status from /var/tmp/rpm-tmp.27283 (%prep)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.27283 (%prep)


Expected Results:  No errors (and Jonas should build).



Running standalone Tomcat5:
When "service tomcat5 start" is run on ia64 using SUN the following occurs:
Starting tomcat5: /usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
                                                           [  OK  ]

How reproducible:
Always

Steps to reproduce:
1. Run 'service tomcat5 start' on ia64 using SUN JVM.

Actual results:
Starting tomcat5: /usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java
does not exist or is not a directory
                                                           [  OK  ]

And tomcat5 is not actually running correctly (ie. tomcat admin and manager are
not working)

Expected Results: No errors, and tomcat5 should be started 


Comment 2 Fernando Nasser 2005-09-28 14:51:09 UTC
Which version of the sun JVM and of the -compat JPP rpm are we talking about?

Comment 3 Gregory Lapouchnian 2005-09-28 15:02:53 UTC
I was using this RPM j2sdk-1_4_2_09-linux-ia64.rpm for the SUN JVM. Deepak said
in an email that there is no compat for ia64 for Sun.

Comment 4 Patrick Smith 2005-12-02 17:34:12 UTC
Additional problems with RHAPSV2U1 on ia64 with SUN.

When attempting to build from SRPM the following occurs:

+ ant install_tomcat
pasmith Exception in thread "main" java.lang.NoClassDefFoundError:
org/apache/tools/ant/launch/Launcher
pasmith error: Bad exit status from /var/tmp/rpm-tmp.96063 (%build)
pasmith RPM build errors:
pasmith     Bad exit status from /var/tmp/rpm-tmp.96063 (%build)




Note You need to log in before you can comment on or make changes to this bug.